# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

#

ROOT_DIR=$$PWD
CWRT_HOME=$$PWD/wrt
WRT_DIR=$$PWD/wrt

QMAKE_LIBDIR = $$DESTDIR $$QMAKE_LIBDIR

# Turn on sandbox schema support by default
!contains(DEFINES, QTWRT_ENABLE_SANDBOX_SCHEMA=.): DEFINES += QTWRT_ENABLE_SANDBOX_SCHEMA=1

OPENSSLDIR_ = $$(OPENSSLDIR)
LIBXML2DIR_ = $$(LIBXML2DIR)

!isEmpty(OPENSSLDIR_) {
    OPENSSL_INC_DIR = $$OPENSSLDIR_/include
    OPENSSL_LIB_DIR = -L$$OPENSSLDIR_/lib
}

!isEmpty(LIBXML2DIR_) {
    LIBXML2_INC_DIR = $$LIBXML2DIR_/include/libxml2
    LIBXML2_LIB_DIR = -L$$LIBXML2DIR_/lib
}

unix:!symbian {
    equals(INSTALL_SYSCONFDIR, "") {
        INSTALL_SYSCONFDIR = /etc
    }

    equals(INSTALL_PREFIX, "") {
        INSTALL_PREFIX = /usr
    }

    message(Install prefix is $$INSTALL_PREFIX)

    CWRT_INSTALL_BIN_DIR = $$INSTALL_PREFIX/bin
    CWRT_INSTALL_LIB_DIR = $$INSTALL_PREFIX/lib
    CWRT_SETTINGS_DIR = $$INSTALL_SYSCONFDIR/wrt
    CWRT_INSTALL_PLUGIN_DIR = $$INSTALL_PREFIX/lib/wrt/plugins
    CWRT_INSTALL_SERVICE_DIR = $$INSTALL_PREFIX/lib/
    CWRT_SHARE_DIR = $$INSTALL_PREFIX/share/wrt
    CWRT_INSTALL_NPPLUGIN_DIR = /usr/lib/browser-plugins

    isEmpty(SERVICEFW_BASEPATH) {
        SERVICEFW_BASEPATH = /usr/lib/qt4/bin
    }
    SERVICEFW_CMD = $$SERVICEFW_BASEPATH/servicefw

    !contains(TEMPLATE, subdirs) {
        VERSION = 1.1.0

        # Default installation path for apps
        contains(TEMPLATE, app) {
            target.path = $$CWRT_INSTALL_BIN_DIR
        }
        # Default installation path for libs
        contains(TEMPLATE, lib) {
            target.path = $$CWRT_INSTALL_LIB_DIR
        }
        INSTALLS += target
    }

    # Use this to define QtWRT version for runtime. Used for instance in user agent string.
    DEFINES += 'QTWRT_USE_VERSION=\"1.1\"'
}
