# ============================================================================
# Name : security.pro
# Part of : CWRT
# Description : Project definition file for project securitymanager
#  Version     : %version: 1 %
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
TEMPLATE = lib
TARGET = WrtSecurityManager
CONFIG += qt dll link_prl create_prl

ROOT_DIR = $$PWD/../../..
WRT_DIR = $$ROOT_DIR/wrt

include($$WRT_DIR/cwrt.pri)
include($$WRT_DIR/../qtsfw.pri)

HEADERS += secpolicy.h \
    secsession.h \
    secsession_p.h \
    policyparser.h \
    policyserializer.h \
    xmlpolicyserializer.h \
    capability.h \
    condition.h \
    usercondition.h \
    userconditionhandler.h \
    userconditionserializer.h \
    trustparser.h \
    trustprophandler.h \
    originhandler.h \
    apppathhandler.h \
    processhandler.h \
    certificatehandler.h \
    trustsession.h \
    trustsession_p.h \
    secmgrdefs.h \
    secure_defs.h
SOURCES += secpolicy.cpp \
    secsession.cpp \
    policyparser.cpp \
    xmlpolicyserializer.cpp \
    usercondition.cpp \
    trustparser.cpp \
    originhandler.cpp \
    apppathhandler.cpp \
    processhandler.cpp \
    certificatehandler.cpp \
    trustsession.cpp

DEFINES += QT_MAKE_SECURITY_DLL BUILDING_SEC_MGR
INCLUDEPATH += . ../inc ../securestorage
LIBS += -lWrtSecureStorage
