# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

######################################################################
#
# Export macro common settings
# Users need to define EXPORT_FILES and EXPORT_DIR
#
# This cwrt-export-files.pri file is included by cwrt-export.pri
# and should typically not be included directly by components.
# However, if components such as plugins export definition files only
# and do not generate other export declarations such as Symbian DEF files,
# they may preferably include this cwrt-export-files.pri file directly.
#
#
######################################################################


maemo {
    isEmpty(EXPORT_FILE_EXT) {
        EXPORT_FILE_EXT = h
    }
    isEmpty(EXPORT_DIR) {
        EXPORT_DIR = $$CWRT_INCLUDE
    }

    for(file, EXPORT_FILES): {
        isxml=$$find(file, .*.xml$)
        isEmpty(isxml): {
             pass=0
             for(dir, CWRT_INCLUDE): {
                 exists($${dir}$${QMAKE_DIR_SEP}$${file}): pass=1
             }
             !contains(pass, 1): error(Failed to find exported file \'$${file}\' in CWRT_INCLUDE path. Please add the path to CWRT_INCLUDE in \'cwrt.pri\')
        }
    }
}
