# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

#
# runtimecore.pro
#


TEMPLATE = lib
TARGET = WrtRuntimeCore
DEFINES += BUILD_RUNTIME_CORE
QT += network

ROOT_DIR = $$PWD/../..
WRT_DIR = $$ROOT_DIR/wrt
include($$ROOT_DIR/shared.pri)
include($$WRT_DIR/cwrt-webkit.pri)

message ("using webkit: $$WEBKIT_DIR")

include($$WRT_DIR/wrt.pri)

LIBS += -lWrtSettings

CONFIG += \
    building-libs \
    depend_includepath \
    dll \
    link_prl \
    create_prl


contains(QT_CONFIG, embedded): CONFIG += embedded

CONFIG(release, debug|release):!CONFIG(QTDIR_build){
    contains(QT_CONFIG, reduce_exports): CONFIG += hide_symbols
    unix:!symbian: contains(QT_CONFIG, reduce_relocations): CONFIG += bsymbolic_functions
}

CONFIG -= warn_on
*-g++* : QMAKE_CXXFLAGS += -Wreturn-type -fno-strict-aliasing

CONFIG(gcov)   {
   LIBS +=   -lgcov
   QMAKE_CXXFLAGS += -fprofile-arcs -ftest-coverage
}

include($$WRT_DIR/cwrt-export.pri)

#
# SOURCE and HEADER lists
#
HEADERS += \
    $$PWD/resources/qtnstrings.h \
    $$PWD/resources/qtnresources.h \
    $$PWD/wrtpage.h \
    $$PWD/wrtpage_p.h \
    $$PWD/wrtgraphicswebview.h \
    $$PWD/wrtcontroller.h \
    $$PWD/wrtcontroller_p.h


SOURCES += \
    $$PWD/wrtpage.cpp \
    $$PWD/wrtpage_p.cpp \
    $$PWD/wrtgraphicswebview.cpp \
    $$PWD/wrtcontroller.cpp

#
# INCLUDE PATHS
#
INCLUDEPATH += \
    $$PWD \
    $$PWD/../ \
    $$PWD/../settings/inc

contains( what, touch_mocking ) {
    DEFINES += ENABLE_TOUCH_MOCKING
}
