/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef __WRTCONTROLLER_H__
#define __WRTCONTROLLER_H__

#include <QObject>
#include <QAction>
#include <QWidget>
#include "wrtglobal.h"
#include "runtimeglobal.h"

class QGraphicsWebView;

namespace WRT {

class WrtPage;
class WrtControllerPrivate;

class RUNTIME_EXPORT WrtController : public QObject
{
public:
    WrtController(QWidget* parent);

    virtual ~WrtController();

    WrtPage* wrtPage() const;
    QGraphicsWebView* graphicsWebView() const;

private:
    WrtControllerPrivate* d;

};

}
#endif
