/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef __WRTPAGE_P_H__
#define __WRTPAGE_P_H__

#include <QObject>
class QEventLoop;
class QGraphicsWidget;
class QDialog;
class QAbstractButton;
class HbAction;

namespace WRT {

    class WrtPagePrivate : public QObject
    {
        Q_OBJECT
    public:
        WrtPagePrivate(QObject* parent=0);
        ~WrtPagePrivate();

    public:
        struct DialogResult {
            bool m_dialogAccepted;
            QString m_promptText;
        };
        QEventLoop* m_eventLoop;
        DialogResult m_dialogResult;
        bool m_allowDialogs;
        bool m_touchDefaultPrevented;
        QDialog* m_openDialog;
    };
}
#endif
