#
# ============================================================================
#  Name        : npjsbinging.pro
#  Part of     : WRT / Service Framework
#  Description : Project definition file for project browser plugin's
#                 javascript binding
#  Version     : %version: 15 % << Don't touch! Updated by Synergy at check-out.
#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

!symbian {
    TARGET = WrtNPJSBinding
} else {
    TARGET = wrtnpjsbinding
}
TEMPLATE     = lib
CONFIG      += dll link_prl create_prl

ROOT_DIR = $$PWD/../../../..
WRT_DIR = $$ROOT_DIR/wrt

include($$WRT_DIR/../qtsfw.pri)
contains(QT_SFW, QTServiceFramework) {
    INCLUDEPATH += $$MW_INCLUDE_PATH
}

include($$PWD/jsbinding.pri)

!symbian {
    include ($$WRT_DIR/cwrt-webkit.pri)
} else {
    include ($$WRT_DIR/cwrt.pri)
}

unix:!symbian {
    CONFIG += create_pc
    QMAKE_PKGCONFIG_LIBDIR = $$CWRT_INSTALL_LIB_DIR
    QMAKE_PKGCONFIG_INCDIR = $$CWRT_INSTALL_INC_DIR
    # FIXME: look for a better way to install the .pc file
    pkgconfig.files = $$DESTDIR/wrtnpjsbinding.pc
    pkgconfig.path = $$INSTALL_PREFIX/lib/pkgconfig
    INSTALLS += pkgconfig
}

win32:DEFINES += _CRT_SECURE_NO_WARNINGS

symbian {
    TARGET.UID3 = 0x102829E1
    TARGET.VID = 0x101FB657
    INCLUDEPATH += $$MW_LAYER_SYSTEMINCLUDE
    TARGET.CAPABILITY = ALL -TCB
    TARGET.EPOCALLOWDLLDATA = 1

    LIBS += -lefsrv
    contains(QT_SFW, QTServiceFramework) {
        LIBS += -lQtServiceFramework
    }

    debug {
        LIBS += -lflogger
    }

    LIBS += -lnpscript
}

win32 {
    DEFINES += _WINDOWS XP_WIN
    HEADERS += $$PWD/../platform/win/stdint.h

    INCLUDEPATH += $$PWD/../platform/win/
    LIBS += -luser32
    SOURCES += $$PWD/platform/win/dllmain.cpp
}

win32-msvc* {
     DEFINES += _X86_ MSVC
     QMAKE_LFLAGS += /MACHINE:x86
}

INCLUDEPATH += $$CWRT_INCLUDE
