#
# ============================================================================
#  Name        : npqtjsbinging.pro
#  Part of     : WRT / Service Framework
#  Description : Project definition file for project browser plugin's
#                 javascript binding
#  Version     : %version: 15 % << Don't touch! Updated by Synergy at check-out.
#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

TARGET       = WrtNPQtJsBinding
TEMPLATE     = lib
CONFIG      += dll


ROOT_DIR = $$PWD/../../../..
WRT_DIR = $$ROOT_DIR/wrt

include($$ROOT_DIR/qtsfw.pri)
include($$WRT_DIR/cwrt-webkit.pri)

INCLUDEPATH += $$CWRT_INCLUDE

# Include old Service Framework jsbinging.pri under npqtjsbinding.pro
#include($$PWD/../../npsfwplugin/jsbinding/jsbinding.pri)
INCLUDEPATH += $$PWD/../ \
               $$PWD/../../api \
               $$PWD/../../../runtimecore \
               $$PWD/../../../settings/inc \
               $$PWD/../../../widgetmanager/src

DEFINES += QT_MAKE_JSBINDING_DLL

HEADERS      = $$PWD/scriptableobjectbase.h \
               $$PWD/signalforwarder.h \
               $$PWD/objectbinding.h \
               $$PWD/serviceobjectbinding.h \
               $$PWD/servicefactory.h \
               $$PWD/bindingutility.h \
               $$PWD/bindingdef.h \
               $$PWD/../npdef.h

SOURCES      = $$PWD/scriptableobjectbase.cpp \
               $$PWD/signalforwarder.cpp \
               $$PWD/servicefactory.cpp \
               $$PWD/objectbinding.cpp \
               $$PWD/serviceobjectbinding.cpp \
               $$PWD/bindingutility.cpp \
               $$PWD/../npn_gate.cpp

LIBS += -lWrtSecurityManager -lWrtSecureStorage -lWrtSettings -lWrtWidgetManager
