#
# ============================================================================
#  Name        : npsfwqtplugin.pro
#  Part of     : WRT / Service Framework
#  Description : Project definition file for CWRT browser plugin
#  Version     : %version: 35 % << Don't touch! Updated by Synergy at check-out.
#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

TARGET       = WrtNPSfwQtPlugin
TEMPLATE     = lib
CONFIG      += plugin

ROOT_DIR = $$PWD/../../..
WRT_DIR = $$ROOT_DIR/wrt

include($$WRT_DIR/cwrt-webkit.pri)
include($$ROOT_DIR/qtsfw.pri)

unix:!symbian {
    include($$ROOT_DIR/shared.pri)
    target.path = $$CWRT_INSTALL_NPPLUGIN_DIR
}

LIBS += -lWrtNPQtJsBinding -lWrtSecurityManager -lWrtSecureStorage

# Moved to npsfwqtplugin/ (new) from npsfwplugin.pri (old).
# include($$PWD/../npsfwplugin/npsfwplugin.pri)

INCLUDEPATH += $$PWD/npqtjsbinding $$PWD/../api

HEADERS      = $$PWD/np_entry.h \
               $$PWD/npplugin.h \
               $$PWD/npdef.h

SOURCES      = $$PWD/npplugin.cpp \
               $$PWD/npn_gate.cpp \
               $$PWD/npp_gate.cpp \
               $$PWD/np_entry.cpp
