# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin
LIBS += -lWrtSecurityManager
maemo {
    maemo5 {
        DEFINES += __MAEMO5__
        CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT
        CONFIG(debug):QCOMMLOGSVC_SRC_PATH = ./platform/maemo5/
        CONFIG(debug):QCOMMLOGSVC_INC_PATH = ./platform/maemo5/
        CONFIG(release):QCOMMLOGSVC_SRC_PATH = ./platform/maemo5/
        CONFIG(release):QCOMMLOGSVC_INC_PATH = ./platform/maemo5/
        HEADERS =                qcommlogserviceplugin.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogservice.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogerrorcodes.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogkeyconstants.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogcallandsmsmodel.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommloggetlisttask.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogiterator.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogfilter.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogmodel.h \
                                 $$QCOMMLOGSVC_INC_PATH/qcommlogevent.h

        SOURCES =                qcommlogserviceplugin.cpp \
                                 $$QCOMMLOGSVC_SRC_PATH/qcommlogservice.cpp \
                                 $$QCOMMLOGSVC_SRC_PATH/qcommlogcallandsmsmodel.cpp \
                                 $$QCOMMLOGSVC_SRC_PATH/qcommloggetlisttask.cpp \
                                 $$QCOMMLOGSVC_SRC_PATH/qcommlogiterator.cpp \
                                 $$QCOMMLOGSVC_SRC_PATH/qcommlogfilter.cpp \
                                 $$QCOMMLOGSVC_SRC_PATH/qcommlogmodel.cpp \
                                 $$QCOMMLOGSVC_SRC_PATH/qcommlogevent.cpp
    }
}

TARGET = WrtApiCommLog
include(../../cwrt.pri)
include(../../../qtsfw.pri)

INCLUDEPATH += $$CWRT_INCLUDE

maemo {
  include(../cwrtservice.pri)
  maemo5 {
    LIBS += -lrtcom-eventlogger
    LIBS += -lglib-2.0
    QT += sql

    CONFIG += mobility
    MOBILITY += serviceframework

    # Build against wrt-dev package
    cwrt-services {
        LIBS += -lWrtSecurityManager
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }

    INCLUDEPATH += $$CWRT_INCLUDE \
        $$LMSVC_INC_PATH \
        /usr/include/rtcom-eventlogger \
        /usr/include/glib-2.0/ \
        /usr/include/glib-2.0/glib \
        /usr/lib/glib-2.0/include \
        ./platform/maemo5/
  }
}
