/*
* ============================================================================
*  Name        : qcontactServicePlugin.cpp
*  Part of     : serviceproviders / WRT
*  Description : Qt plugin class for contact service
*  Version     : %version: 6 % << Don't touch! Updated by Synergy at check-out.
*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QtCore>
#include <QDebug>
#include <QMap>

#include <qserviceinterfacedescriptor.h>
#include <qabstractsecuritysession.h>
#include <qservicecontext.h>

#include "qcontactserviceplugin.h"
#include "qcontactservice.h"


QContactServicePlugin::QContactServicePlugin()
{
}

/*!
    Destructor
 */
QContactServicePlugin::~QContactServicePlugin()
{
}

/*!
    This API is used to instantiate Reference Service service provider

    \param refCounted true reference counted object.
    \param secSession Security Manager session - not owned
    @return interface pointer to Reference Service object
 */
QObject* QContactServicePlugin::createInstance(const QServiceInterfaceDescriptor& descriptor, QServiceContext* context, QAbstractSecuritySession* session)
{
    Q_UNUSED(context);

    QContactService *contactSrv = new QContactService(this);
    contactSrv->setSecuritySession(session);
    
    if (descriptor.interfaceName() == KIContactsId)
        return contactSrv;
    else
        return 0;
}
Q_EXPORT_PLUGIN(QContactServicePlugin);
