# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin
LIBS += -lWrtSecurityManager
maemo {
    CONFIG(debug):CONTACTSVC_SRC_PATH = ./platform/maemo/
    CONFIG(debug):CONTACTSVC_INC_PATH = ./platform/maemo/
    CONFIG(release):CONTACTSVC_SRC_PATH = ./platform/maemo/
    CONFIG(release):CONTACTSVC_INC_PATH = ./platform/maemo/

    HEADERS = $$CONTACTSVC_INC_PATH/qcontactserviceplugin.h \
    $$CONTACTSVC_INC_PATH/qcontactservice.h

    SOURCES = $$CONTACTSVC_SRC_PATH/qcontactserviceplugin.cpp \
    $$CONTACTSVC_SRC_PATH/qcontactservice.cpp
}

TARGET = WrtApiContact
include(../../cwrt.pri)
include(../../../qtsfw.pri)
INCLUDEPATH += $$CWRT_INCLUDE

maemo {
    include(../cwrtservice.pri)
    maemo5 {
        DEFINES += __MAEMO5__
        QT += dbus
        LIBS += -lQtContacts
        LIBS += -lWrtSecurityManager

        CONFIG += mobility
        MOBILITY +=contacts

        INCLUDEPATH += $$CWRT_INCLUDE
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }
    SOURCES += $$CONTACTSVC_SRC_PATH/qgetcontactstask.cpp \
            $$CONTACTSVC_SRC_PATH/qgetgroupstask.cpp\
            $$CONTACTSVC_SRC_PATH/qgetcontactidstask.cpp \
            $$CONTACTSVC_SRC_PATH/qgetgroupidstask.cpp \
            $$CONTACTSVC_SRC_PATH/qcontactshelpers.cpp \
            $$CONTACTSVC_SRC_PATH/qjsonizer.cpp \
            $$CONTACTSVC_SRC_PATH/qgroupsiterator.cpp \
            $$CONTACTSVC_SRC_PATH/qcontactsiterator.cpp

    HEADERS += $$CONTACTSVC_INC_PATH/qgetcontactstask.h \
            $$CONTACTSVC_INC_PATH/qgetgroupstask.h \
            $$CONTACTSVC_INC_PATH/qgetcontactidstask.h \
            $$CONTACTSVC_INC_PATH/qgetgroupidstask.h \
            $$CONTACTSVC_INC_PATH/qcontactshelpers.h \
            $$CONTACTSVC_INC_PATH/qjsonizer.h \
            $$CONTACTSVC_INC_PATH/qgroupsiterator.h \
            $$CONTACTSVC_INC_PATH/qcontactsiterator.h
}
