# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

######################################################################
#
# Common Web Run Time Service Provider - common QMake settings
#
######################################################################

ROOT_DIR = $$PWD/../..
WRT_DIR = $$ROOT_DIR/wrt

include($$WRT_DIR/cwrt.pri)

INCLUDEPATH += $$CWRT_INCLUDE

# Export description file
EXPORT_DIR = $$DESTDIR/import/
EXPORT_FILES = ./descriptionxml/$${TARGET}.xml
EXPORT_FILE_EXT = xml

include($$WRT_DIR/cwrt-export-files.pri)

unix:!symbian {
    target.path = $$CWRT_INSTALL_SERVICE_DIR

    EXPORT_DIR =
    EXPORT_FILES =
    EXPORT_FILE_EXT =

    xml.path =$$CWRT_SETTINGS_DIR/api/
    xml.files = ./descriptionxml/$${TARGET}.xml
    INCLUDEPATH += $$WRT_DIR/servicefw/inc

    INSTALLS += xml
}
