# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin

LIBS += -lWrtSecurityManager

INCLUDEPATH += ../../../inc
HEADERS = fsmountpointinterface.h \
    fsioworker.h \
    fsutilities.h \
    fsworker.h \
    filesystemserviceplugin.h \
    filesystemservice.h \
    fserrorcodes.h \
    fsconstants.h

CONFIG(debug):HEADERS += fslog.h


SOURCES = fsioworker.cpp \
    fsutilities.cpp \
    fsworker.cpp \
    filesystemserviceplugin.cpp \
    filesystemservice.cpp

CONFIG(debug): SOURCES += fslog.cpp

TARGET = WrtApiFileSystem

include(../../../qtsfw.pri)

include(../../cwrt.pri)

INCLUDEPATH += $$CWRT_INCLUDE

CONFIG(debug):DEFINES += DEBUG_MODE
maemo {
    DEFINES += __MAEMO__
    include(../cwrtservice.pri)
    CONFIG += mobility
    MOBILITY += serviceframework

    # Build against wrt-dev package
    cwrt-services {
        LIBS += -lWrtSecurityManager
        INCLUDEPATH -= ../../../inc
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }

    INCLUDEPATH += platform/maemo
    HEADERS += platform/maemo/fsplatform.h

    SOURCES += platform/maemo/fsplatform.cpp
}
