# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin

maemo {

  maemo5 {
    DEFINES += __MAEMO__
    CONFIG(debug):LOCSVC_SRC_PATH = ./platform/maemo5/
    CONFIG(debug):LOCSVC_INC_PATH = ./platform/maemo5/
    CONFIG(release):LOCSVC_SRC_PATH = ./platform/maemo5/
    CONFIG(release):LOCSVC_INC_PATH = ./platform/maemo5/

    CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

    HEADERS =  ./qlocationserviceplugin.h  \
               $$LOCSVC_INC_PATH/qlocationservice.h \
               $$LOCSVC_INC_PATH/qlocationengine.h \
               $$LOCSVC_INC_PATH/timeObserver.h \
               $$LOCSVC_INC_PATH/emitAsyncTask.h

    SOURCES =  ./qlocationserviceplugin.cpp \
               $$LOCSVC_SRC_PATH/qlocationservice.cpp \
               $$LOCSVC_SRC_PATH/qlocationengine.cpp \
               $$LOCSVC_SRC_PATH/timeObserver.cpp \
               $$LOCSVC_SRC_PATH/emitAsyncTask.cpp

  }
}

TARGET = WrtApiLocation
include(../../cwrt.pri)
include(../../../qtsfw.pri)
INCLUDEPATH += $$CWRT_INCLUDE

maemo {
  include(../cwrtservice.pri)
  maemo5 {
    CONFIG += mobility
    MOBILITY += location serviceframework

    # Build against wrt-dev package
    cwrt-services {
        INCLUDEPATH -= ../../../inc
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }

    INCLUDEPATH += $$CWRT_INCLUDE \
        $$LOCSVC_INC_PATH \
        /usr/include

  }
}
