#This file is part of CWRT package **

# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#

#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU (Lesser) General Public License as
#  published by the Free Software Foundation, version 2.1 of the License.
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#  (Lesser) General Public License for more details. You should have
#  received a copy of the GNU (Lesser) General Public License along
#  with this program. If not, see .

TEMPLATE = lib

CONFIG += plugin

LIBS += -lWrtSecurityManager

maemo{
  maemo5 {
    CONFIG(debug):MEDIASVC_SRC_PATH = ./platform/maemo5/
    CONFIG(debug):MEDIASVC_INC_PATH = ./platform/maemo5/
    CONFIG(release):MEDIASVC_SRC_PATH = ./platform/maemo5/
    CONFIG(release):MEDIASVC_INC_PATH = ./platform/maemo5/
    HEADERS = ./qmediaserviceplugin.h \
        $$MEDIASVC_INC_PATH/qtsfwmediaservice.h \
        $$MEDIASVC_INC_PATH/getmedialisttask.h \
        $$MEDIASVC_INC_PATH/qmediagetlistiterator.h \
        $$MEDIASVC_INC_PATH/getthumbnailtask.h \
        $$MEDIASVC_INC_PATH/mediafilter.h \
        $$MEDIASVC_INC_PATH/mediacontenthelper.h \
        $$MEDIASVC_INC_PATH/resizeimagetask.h \
        $$MEDIASVC_INC_PATH/qmediakeyconstants.h \
        $$MEDIASVC_INC_PATH/qmediaerrorcodes.h \
        $$MEDIASVC_INC_PATH/rdfselect.h \
        $$MEDIASVC_INC_PATH/msselect.h \
        $$MEDIASVC_INC_PATH/thumbnailerfetch.h \
        $$MEDIASVC_INC_PATH/addmusichandler.h
    SOURCES = $$MEDIASVC_SRC_PATH/qmediaservice.cpp \
        $$MEDIASVC_SRC_PATH/qmediagetlistiterator.cpp \
        $$MEDIASVC_SRC_PATH/getmedialisttask.cpp \
        $$MEDIASVC_SRC_PATH/getthumbnailtask.cpp \
        $$MEDIASVC_SRC_PATH/resizeimagetask.cpp \
        $$MEDIASVC_SRC_PATH/mediafilter.cpp \
        $$MEDIASVC_SRC_PATH/mediacontenthelper.cpp \
        ./qmediaserviceplugin.cpp \
        $$MEDIASVC_SRC_PATH/rdfselect.cpp \
        $$MEDIASVC_SRC_PATH/msselect.cpp \
        $$MEDIASVC_SRC_PATH/thumbnailerfetch.cpp \
        $$MEDIASVC_SRC_PATH/addmusichandler.cpp
  }
}

TARGET = WrtApiMedia
include(../../cwrt.pri)
include(../../../qtsfw.pri)
INCLUDEPATH += $$CWRT_INCLUDE

maemo {
  include(../cwrtservice.pri)
  maemo5 {
    CONFIG+=mobility
    MOBILITY+=serviceframework

    LIBS += -lgio-2.0
    LIBS += -lglib-2.0
    LIBS += -ltrackerclient
    LIBS += -ldbus-glib-1
    LIBS += -ldbus-1

    LIBS += -lmafw
    LIBS += -lmafw-shared
    LIBS += -lpthread
    LIBS += -lgobject-2.0

    LIBS += -lhildonthumbnail
    LIBS += -lgdk_pixbuf-2.0
    LIBS += -lgmodule-2.0

    # LIBS += -lmusicsuiteinterface
    QT += dbus
    INCLUDEPATH += $$CWRT_INCLUDE \
        $$MEDIASVC_SRC_PATH \
        /usr/include/qt4/ \
        /usr/include/qt4/QtCore \
        /usr/include/glib-2.0 \
        /usr/lib/glib-2.0/include

    INCLUDEPATH += /usr/include
    INCLUDEPATH += /usr/include/dbus-1.0
    INCLUDEPATH += /usr/lib/dbus-1.0/include
    INCLUDEPATH += /usr/include/gtk-2.0

    INCLUDEPATH += /usr/include/mafw-1.0
    INCLUDEPATH += /usr/include/hildon-thumbnail

    # Build against wrt-dev package
    cwrt-services {
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }
  }

    # Export description file
    EXPORT_FILE_NAME_BASE = mediaserviceplugin

    EXPORT_DIR = $$DESTDIR/import/
    EXPORT_SRC = descriptionxml/$$EXPORT_FILE_NAME_BASE.xml
    EXPORT_DST = $$EXPORT_DIR$$EXPORT_FILE_NAME_BASE.xml
    export_files_cmd.input = $$EXPORT_SRC
    export_files_cmd.output = $$EXPORT_DST
    export_files_cmd.commands = $(COPY) $$EXPORT_SRC $$EXPORT_DST
    export_files_cmd.CONFIG = target_predeps no_link
    export_files_cmd.clean = $$EXPORT_DST
    QMAKE_EXTRA_COMPILERS += export_files_cmd
}

