# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin
LIBS += -lWrtSecurityManager
maemo {

  maemo5 {
    DEFINES += __MAEMO__
    CONFIG(debug):MESSAGINGSVC_SRC_PATH = ./platform/maemo5/
    CONFIG(debug):MESSAGINGSVC_INC_PATH = ./platform/maemo5/
    CONFIG(release):MESSAGINGSVC_SRC_PATH = ./platform/maemo5/
    CONFIG(release):MESSAGINGSVC_INC_PATH = ./platform/maemo5/
    CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT
    HEADERS = $$MESSAGINGSVC_INC_PATH/qmessagingservice.h \
        ./qmessagingserviceplugin.h \
        $$MESSAGINGSVC_INC_PATH/qmessagingiterator.h \
        $$MESSAGINGSVC_INC_PATH/qmessagingconstants.h \
        $$MESSAGINGSVC_INC_PATH/getmsglisttask.h \
        $$MESSAGINGSVC_INC_PATH/messagefilter.h \
        $$MESSAGINGSVC_INC_PATH/messagedata.h \
        $$MESSAGINGSVC_INC_PATH/sendmessage.h
    SOURCES = ./qmessagingserviceplugin.cpp \
        $$MESSAGINGSVC_SRC_PATH/qmessagingservice.cpp \
        $$MESSAGINGSVC_SRC_PATH/qmessagingiterator.cpp \
        $$MESSAGINGSVC_SRC_PATH/getmsglisttask.cpp \
        $$MESSAGINGSVC_SRC_PATH/messagefilter.cpp \
        $$MESSAGINGSVC_SRC_PATH/messagedata.cpp \
        $$MESSAGINGSVC_SRC_PATH/sendmessage.cpp
  }
}

TARGET = WrtApiMessaging
include(../../cwrt.pri)
include(../../../qtsfw.pri)
INCLUDEPATH += $$CWRT_INCLUDE

maemo {
  INCLUDEPATH += /ecwrt/inc
  include(../cwrtservice.pri)
  maemo5 {

    CONFIG += mobility
    MOBILITY += messaging serviceframework
    LIBS += /usr/lib/libQtMessaging.so

    LIBS += -lglib-2.0
    LIBS += -lhildonmime

    # Build against wrt-dev package
    cwrt-services {
        INCLUDEPATH -= ../../../inc
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }

    INCLUDEPATH += $$CWRT_INCLUDE \
        $$MESSAGINGSVC_INC_PATH \
        /usr/include/glib-2.0/ \
        /usr/lib/glib-2.0/include/ \
        /usr/include/ 
	
    contains(what,qtsfw) {
        xml.path =$$CWRT_SETTINGS_DIR/api/
        xml.files = ./descriptionxml/$${TARGET}.xml
        INSTALLS += xml
    }
  }
}
