# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

######################################################################
#
# common settings for Service Provider's to import into their .pro
#
######################################################################


ROOT_DIR = $$PWD/../..
WRT_DIR = $$ROOT_DIR/wrt

include($$WRT_DIR/cwrt.pri)
# The .pri below needs to move to $$WRT_DIR
include($$WRT_DIR/../qtsfw.pri)

load(data_caging_paths)

IMPORT_SUBDIR = /qtwrt/providers/import

# Folder where descriptor XMLs should get copied to during build or installation
QTWRT_SERVICEPROVIDER_XML_PATH =  $${IMPORT_SUBDIR} #this is a fallback value
unix:!symbian:   QTWRT_SERVICEPROVIDER_XML_PATH = /usr/share$${IMPORT_SUBDIR}

servicemetadata.sources = ./descriptionxml/$${TARGET}.xml
servicemetadata.path = $$QTWRT_SERVICEPROVIDER_XML_PATH/

DEPLOYMENT += servicemetadata
