# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib

CONFIG += plugin

maemo {
  maemo5 {
    CONFIG(debug):SENSORSVC_SRC_PATH_M5 = ./platform/maemo5/
    CONFIG(debug):SENSORSVC_INC_PATH_M5 = ./platform/maemo5/
    CONFIG(release):SENSORSVC_SRC_PATH_M5 = ./platform/maemo5/
    CONFIG(release):SENSORSVC_INC_PATH_M5 = ./platform/maemo5/
    CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT
  }
}

maemo {
  maemo5 {
    DEFINES += __MAEMO__
    HEADERS = $$SENSORSVC_INC_PATH_M5/qsensorservice.h \
              $$SENSORSVC_INC_PATH_M5/qsensordefines.h \
              qsensorserviceplugin.h

    SOURCES = $$SENSORSVC_SRC_PATH_M5/qsensorservice.cpp \
              qsensorserviceplugin.cpp
  }
}

TARGET = WrtApiSensor
include(../../cwrt.pri)
INCLUDEPATH += /ecwrt/inc
include(../../../qtsfw.pri)
maemo {
  include(../cwrtservice.pri)
  maemo5 {
    QT += dbus

    CONFIG += mobility
    MOBILITY += serviceframework

    # Build against wrt-dev package
    cwrt-services {
        LIBS += -lWrtSecurityManager
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }

    TARGET.sources = ./descriptionxml/sensorserviceplugin.xml
    INCLUDEPATH += $$CWRT_INCLUDE \
                   $$SENSORSVC_INC_PATH_M5
    contains(what,qtsfw) {
        xml.path =$$CWRT_SETTINGS_DIR/api/
        xml.files = ./descriptionxml/$${TARGET}.xml
        INSTALLS += xml
    }
  }
}
