#ifndef __QASYNCHANDLER_H
#define __QASYNCHANDLER_H

#include <QObject>
#include <QMutex>
#include <QMap>
#include "qsysinfotypes.h"
#include "qrequestinfo.h"
#include "qsysinfoelement.h"

class QAsyncHandler : public QObject
{
    Q_OBJECT
        
public:
    QAsyncHandler();
    int submitRequest(SysInfoProperty channelId,const int transId );
    static QAsyncHandler& instance();
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            const int transId);
    int stopChannel( SysInfoProperty channelId);
    int cancel( const int transactionId) ;

public slots:
    void handleRequestCompleted(int error, int transactionId, const ChannelInformation& );
    void handleRequestStarted( int error, int transactionId, const ChannelInformation& );
signals:
    void requestCompleted(int error, int transactionId, const ChannelInformation& );
    void requestStarted( int error, int channelId, const ChannelInformation& );

private:
    int transactionId;
    QMap<SysInfoProperty,QRequestInfo> ongoingRequests;
    QMutex criticalSection;
};

#endif // __QASYNCHANDLER_H
