#include "qasynctask.h"
#include "qsysinfofactory.h"
#include "qasynchandler.h"
#include "qisysinfo.h"

QAsyncTask::~QAsyncTask()
{
}

QAsyncTask::QAsyncTask(int transactionId, SysInfoProperty channel)
    : m_instance(QSysInfoFactory::factoryInstance().getSysInfoInstance(channel)),
      mchannelId(channel),
      mtransactionId(transactionId)
{
    /*
     * task auto-deleted after run(); auto delete enabled by default
     */
    QObject::connect( this, 
            SIGNAL( requestCompleted ( int, int,const ChannelInformation&)),
            &QAsyncHandler::instance(), 
            SLOT(handleRequestCompleted( int, int,const ChannelInformation&)) );
}

void QAsyncTask::run()
{
    ChannelInformation channelInfo ;
    ChannelInformation input ;
    if(m_instance) 
    {
        int error = m_instance->getChannel( mchannelId,input, channelInfo  );
        emit requestCompleted(error,mtransactionId,channelInfo);
    }
}

