#ifndef __QDEVICEEXTENSIONS_H
#define __QDEVICEEXTENSIONS_H

//#include <qmbattery.h>
#include <QMutex>
#include "qisysinfo.h"
#include "qtriggerelement.h"


class QDBusMessage;

class QDeviceExtensions : public QISysInfo
{
    Q_OBJECT
public:
    QDeviceExtensions();
    ~QDeviceExtensions();
	int getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input,
            QMap<SysInfoProperty, QVariant>& channelInfo);

    int getChannelAsync( SysInfoProperty channelId , int transId);
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    int setChannelSync( SysInfoProperty channelId ,  const QVariant& input,QMap<SysInfoProperty, QVariant>& errData);
    int cancel( SysInfoProperty channelId , int transId) ;

    int getChannelList(QList<SysInfoProperty>& channelList);
};



#endif // __QDEVICEEXTENSIONS_H
