#ifndef __QDEVICEEXTENSIONS_P_H
#define __QDEVICEEXTENSIONS_P_H

#include <QMutex>
#include "qisysinfo.h"
#include "qdeviceextensions.h"
#include "qtriggerelement.h"
#ifdef __ARMEL__
//#include "qvibrainterface.h"
#endif


class QDBusMessage;

class QDeviceExtensionsPrivate : public QDeviceExtensions
{
    Q_OBJECT
public:
    QDeviceExtensionsPrivate();
    ~QDeviceExtensionsPrivate();
	int getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input,
            QMap<SysInfoProperty, QVariant>& channelInfo);

    int getChannelAsync( SysInfoProperty channelId , int transId);
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    int setChannelSync( SysInfoProperty channelId ,  const QVariant& input,QMap<SysInfoProperty, QVariant>& errData);
    int cancel( SysInfoProperty channelId , int transId) ;
    int getChannelList(QList<SysInfoProperty>& channelList) ;
public slots:
    void startBatteryLevelChannelCb(const QDBusMessage & message);
    void startChargingChannelCb( const QDBusMessage & message );
    void startBluetoothOnChannelCb(const QDBusMessage & message);

signals:
    void requestStarted( int error, int transactionId, const ChannelInformation& );
    void requestCompleted( int error, int transactionId, const ChannelInformation& );

private:
    QMap<int,QTriggerInfoElement> startMap;
#ifdef __ARMEL__
//        QVibraPlayer m_vp;
#endif
    QMap<SysInfoProperty ,ChannelInformation> triggerMap;
    QMutex criticalRegion;
    
};



#endif // __QDEVICEEXTENSIONS_P_H
