#ifndef __QDEVICEINFO_H
#define __QDEVICEINFO_H

#include "qisysinfo.h"

class QDeviceInfo : public QISysInfo
{
    Q_OBJECT
public:
    QDeviceInfo();
    
    int getChannel( SysInfoProperty channelId ,
            const ChannelInformation&  input,
            QMap<SysInfoProperty, QVariant>& channelInfo ) ;

    int getChannelAsync( SysInfoProperty channelId , int transId);
    
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    
    int setChannelSync( SysInfoProperty channelId ,
            const QVariant& input,
            QMap<SysInfoProperty, QVariant>& errData);
    
    int cancel( SysInfoProperty channelId , int transId) ;
    
    int getChannelList(QList<SysInfoProperty>& channelList);
    
};

#endif // __QDEVICEINFO_H
