#ifndef __QDEVICEINFO_P_H
#define __QDEVICEINFO_P_H

#include "qdeviceinfo.h"

class QDeviceInfoPrivate : public QDeviceInfo
{
    Q_OBJECT
public:
    QDeviceInfoPrivate();
    
    int getChannelList(QList<SysInfoProperty>& channelList) ;
    
    int getChannel( SysInfoProperty channelId ,
            const ChannelInformation&  input,
            QMap<SysInfoProperty, QVariant>& channelInfo ) ;

    int getChannelAsync( SysInfoProperty channelId , int transId);
    
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    
    int setChannelSync( SysInfoProperty channelId ,
            const QVariant& input,
            QMap<SysInfoProperty, QVariant>& errData);
    
    int cancel( SysInfoProperty channelId , int transId) ;
    
private:
    QString getSysinfoKey(char* key);

};

#endif // __QDEVICEINFO_P_H
