#include "qerrorstore.h"
#include "qsysinfoelement.h"

QMap<SysInfoProperty,QString>* QErrorStore::errorMap = NULL;
int QErrorStore::refCount = 0;

QErrorStore::QErrorStore( SysInfoProperty code, const QString& description )
{
    if( !errorMap )
    {
        errorMap = new QMap<SysInfoProperty , QString>();
    }
    errorMap->insert( code, description );
    refCount++;
}

QErrorStore::~QErrorStore()
{
    if( --refCount == 0 )
        delete errorMap;
}

const QString QErrorStore::description(SysInfoProperty code)
{
    return errorMap->value(code);
}

