#ifndef __QISYSINFO_H
#define __QISYSINFO_H

#include <QObject>

#include "qsysinfoelement.h"
#include "qsysinfotypes.h"
#include "qsysinfoerrors.h"

template <class QSysInfoElement>
class QList;

class QISysInfo : public QObject
{
public:
    virtual int getChannel( SysInfoProperty channelId ,
            const ChannelInformation& input,
            QMap<SysInfoProperty, QVariant>& channelInfo) = 0;

    virtual int getChannelAsync( SysInfoProperty channelId , int transId) = 0;
    virtual int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId) = 0 ;
    virtual int stopChannel( SysInfoProperty channelId)  = 0 ;
    virtual int setChannelSync( SysInfoProperty channelId , 
                                const QVariant& input,
                                QMap<SysInfoProperty, QVariant>& errorData ) = 0 ;
    virtual int cancel( SysInfoProperty channelId , int transId) = 0 ;

    virtual int getChannelList(QList<SysInfoProperty>& channelList) = 0;
    virtual ~QISysInfo() {}

};

//Q_DECLARE_METATYPE(QISysInfo)
#endif // __QISYSINFO_H
