#ifndef __QKEYSTORE_H
#define __QKEYSTORE_H

#include <QHash>
#include <QString>

#include "qsysinfotypes.h"

template <class QString, class QVariant >
class QMap;

struct ChannelData
{
    int operationType;
    int responseType;
};

struct PropertyData
{
    QVariant::Type type ;
    QString range;
    QString description;
};

struct ChannelProperty
{
    ChannelProperty():propType(TypeInvalid){}

    QPropertyType propType;
    
    struct ChannelData channelData;
    struct PropertyData propertyData;
    
    QList<SysInfoProperty> properties;
};

class QKeyStore
{
	
public:
    QKeyStore( const QString& key, 
               SysInfoProperty value ,
               int operationType,
               int responseType);

    QKeyStore( const QString& key, 
               SysInfoProperty value ,
               int parent ,
               QVariant::Type type ,
               const QString& range,
               const QString& description);

    ~QKeyStore();

    static SysInfoProperty value(const QString& key);
    static const QString key(SysInfoProperty value);

    static int propertySchema(SysInfoProperty p, QMap<QString,QVariant>& schema);
private:
    static int refCount;
    static QHash<QString, SysInfoProperty>* hashTable;
    static QHash<SysInfoProperty,ChannelProperty >* propertyTable;
};


#endif //__QKEYSTORE_H
