#include "qmedia_p.h"
#include "qlistdriveinfo.h"
#include "qsysinfoproperties.h"

using namespace Media ;
using namespace Media::ChannelListDriveInfo ;
using namespace Media::ChannellistOfDrives ;

QMediaPrivate::QMediaPrivate()
{
}


int QMediaPrivate::getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input ,
            QMap<SysInfoProperty, QVariant>& channelInfo )
{
    int errCode = ErrNoError;
    switch( channelId )
    {
        case ListDriveInfo:
            {
                QVariant drivesInfo;
                QList < QMap<SysInfoProperty, QVariant> >  drivesInfoList;
                QMap<SysInfoProperty, QVariant>  drive;
                
                QListDriveInfo inf;
                inf.init();
                QList< QString > infRes(inf.getNames());
                for(int i = 0 ; i < infRes.size(); i++)
                {
                    drive = inf.getInfo(infRes[i]);
                    drivesInfoList.append(drive);
                }

                drivesInfo.setValue(drivesInfoList);
                channelInfo.insert(listOfDrives,drivesInfo);
                break;
            }
        default:
        {
            errCode = ErrNotSupported;
            channelInfo.insert( channelId, "" );
            break;
        }
    }
    
    return errCode;
}

int QMediaPrivate::getChannelAsync( SysInfoProperty channelId , int transId)
{
    return 0;
}

int QMediaPrivate::startChannel( SysInfoProperty channelId,
                                 const ChannelInformation& triggerInfo,
                                 int transId)
{
    return 0;
}
int QMediaPrivate::stopChannel( SysInfoProperty channelId) 
{
return 0;

}
int QMediaPrivate::setChannelSync( SysInfoProperty channelId ,  const QVariant& input, QMap<SysInfoProperty, QVariant>& errData)
{
    int errCode = ErrNoError;

    switch( channelId )
    {
        default:
            errCode = ErrNotSupported;
            errData.insert( channelId, "" );
            break;
    }
    return errCode;
}
int QMediaPrivate::cancel( SysInfoProperty channelId , int transId)
{

    return 0;
}
int QMediaPrivate::getChannelList(QList<SysInfoProperty>& channelList) 
{
    channelList += ListDriveInfo;
    //channelList += CriticalMemory;
    return 0;
}
