#ifndef __QNETWORKINFO_P_H
#define __QNETWORKINFO_P_H

#include "qnwdbusworker.h"
#include "qsysinfotypes.h"
#include "qnetworkinfo.h"
#include <QMutex>

//template <class SysInfoProperty,class ChannelInformation  >
//class QMap;

class QDBusMessage;

class QNetworkInfoPrivate :  public QNetworkInfo
{
    Q_OBJECT
public:
    QNetworkInfoPrivate();
    ~QNetworkInfoPrivate();
	int getChannel( SysInfoProperty channelId , 
            const ChannelInformation& input ,
            QMap<SysInfoProperty, QVariant>& channelInfo );
    int getChannelAsync( SysInfoProperty channelId , int transId);
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    int setChannelSync( SysInfoProperty channelId ,  const QVariant& input,QMap<SysInfoProperty, QVariant>& errData);
    int cancel( SysInfoProperty channelId , int transId) ;
    int getChannelList(QList<SysInfoProperty>& channelList) ;
private:
    void deleteWorkers();
    
signals:
    void requestStarted( int error, int channelId, const ChannelInformation& );
    void requestCompleted( int error, int transactionId, const ChannelInformation& );
public slots:
    void handleRequestCompleted (int error, int transactionId,
            const ChannelInformation& channelInfo,
            QNwDBusWorker* worker) ;
    void startSignalStrengthChannelCb( const QDBusMessage & message );
    void startNetworkChannelCb(const QDBusMessage & message );

private:  
    QList<QNwDBusWorker*> workers;
    QMap<SysInfoProperty ,ChannelInformation> triggerMap;
    QMutex criticalRegion;
};

#endif // __QNETWORKINFO_P_H
