#ifndef __QNWDBUSWORKER_H
#define __QNWDBUSWORKER_H

#include <QObject>
#include <QDBusMessage>
#include "qsysinfotypes.h"

template <class SysInfoProperty,class QVariant>
class QMap;

class QNwDBusWorker : public QObject
{
    Q_OBJECT

public:
    QNwDBusWorker(SysInfoProperty channelId, int trans_id);
    ~QNwDBusWorker();
    int start();
public slots:
    void asyncHomeNetworkChannelCb(const QDBusMessage& message);
    void asyncHomeNetworkChannelErrCb(const QDBusMessage& message);
    void handleRequestCompleted (int error, int transactionId,
        const ChannelInformation& channelInfo,
        QNwDBusWorker* worker) ;
    int getTransactionId();
    SysInfoProperty getChannelId();

signals:
    void requestCompleted(int error, int transactionId,
                          const ChannelInformation& channelInfo,
                          QNwDBusWorker* worker);
private:
    int transactionId;
    SysInfoProperty channelId;
};

#endif
