/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "qpublicidreciever.h"

QString QPublicIdReciever::cache("");

QPublicIdReciever::QPublicIdReciever()
{
}

QPublicIdReciever::~QPublicIdReciever()
{

}

QString QPublicIdReciever::publicId()
{
#ifdef __ARMEL__
    bb5_publicid_t id;
    int r;
    QString PublicIDStr = "";
    bb5_open(NULL);
    r = bb5_get_publicid(&id);
    bb5_close();
    if (r < 0)
    {
        qDebug() << "Error getting PUB ID:" << r;
        return QString("");
    }else{
        const int MAX_IMSI_LEN ( 20 );
        for (int i=0; i < MAX_IMSI_LEN; i++){
            PublicIDStr.append(QString("%1").arg((uchar)id[i],2, 16, QChar('0')).toUpper());
        }
        qDebug() << "PUB ID:" << PublicIDStr;
        return PublicIDStr;
    }
#else // !__ARMEL__
    return "";
#endif // __ARMEL__

}
