#ifndef __QSYSCONFIG_H
#define __QSYSCONFIG_H

#include "qisysinfo.h"

class QSysConfig : public QISysInfo
{
    Q_OBJECT
public:
    QSysConfig();
    
    int getChannel( SysInfoProperty channelId ,
            const ChannelInformation& input,
            QMap<SysInfoProperty, QVariant>& channelInfo);
    
    int getChannelAsync( SysInfoProperty channelId , int transId);
    
    int startChannel( SysInfoProperty channelId,
            const ChannelInformation& triggerInfo,
            int transId);
    int stopChannel( SysInfoProperty channelId);
    
    int setChannelSync( SysInfoProperty channelId ,
            const QVariant& input,
            QMap<SysInfoProperty, QVariant>& errData);
    
    int cancel( SysInfoProperty channelId , int transId) ;
    
    int getChannelList(QList<SysInfoProperty>& channelList);
};

#endif // __QSYSCONFIG_H
