#ifndef __QSYSINFOERRORS_H
#define __QSYSINFOERRORS_H

#include "qerrorstore.h"
#include "qsysinfotypes.h"

#define defineError( errCode, errValue, errDescription ) const int errCode = errValue; \
                                                         const QErrorStore _##errCode( errValue, errDescription ); 


defineError (ErrNoError,             0  , "" )
defineError (ErrMissingArgument,     1  , "Missing Argument" )
defineError (ErrInvalidArgument,     2  , "Invalid Argument")
defineError (ErrNotSupported,        3  , "Not supported")
defineError (ErrServiceNotAvailable, 4  , "Service not available")
defineError (ErrTimeout,             100, "Timeout")
defineError (ErrDataNotFound,        101, "Data not found")
defineError (ErrDataAlreadyExists,   102, "Data already exists")
defineError (ErrServiceBusy,         103, "Service busy")
defineError (ErrServiceInUse,        104, "Service in use")
defineError (ErrDataOutOfRange,      105, "Data out of range")
defineError (ErrNotAllowed,          106, "Not allowed")
defineError (ErrSizeExceeded,        107, "Size exceeded")
defineError (ErrInvalidUri,          108, "Invalid URI")
defineError (ErrUriNotFound,         109, "URI not found")
defineError (ErrUriAlreadyExists,    110, "URI already exists")

#endif // __QSYSINFOERRORS_H
