#ifndef __QSYSINFOMACROS_H
#define __QSYSINFOMACROS_H

#include "qsysinfotypes.h"

const short GroupShiftBits   = (sizeof(SysInfoProperty) * 8 ) - (  (sizeof( SysInfoProperty) * 8) / 4 );
const short ChannelShiftBits = sizeof(SysInfoProperty) * 3;

static short groupCount = 0;

#ifdef __ENABLE_PROPERTIES__
#define BEGINGROUP( index, group )  namespace group {\
    const short parent = index;\
    const short groupLength = ++groupCount;\
    const short groupId = index; 

#define ENDGROUP() };

#define BEGINCHANNEL( index, channel, operationType, responseType ) namespace Channel##channel {\
        const SysInfoProperty channel = static_cast<SysInfoProperty>(parent)<<GroupShiftBits | static_cast<SysInfoProperty>(index)<<ChannelShiftBits;  \
        static short count = 0; \
        const SysInfoProperty chId = channel; \
        extern const QKeyStore key##channel( #channel, channel , (operationType) , (responseType) );
    
#define ENDCHANNEL() };
    
#define PROPERTY( property, type, range, description ) const SysInfoProperty property  = chId | ++count; \
        extern const QKeyStore key##property( #property, property, (int)chId, (type), (range), (description) );

#define PROPERTYOF( parent, property,type, range, description ) const SysInfoProperty property  = chId | ++count; \
        extern const QKeyStore key##property( #property, property, parent,(type), (range), (description) );

#else // Not defined __ENABLE_PROPERTIES__

#define BEGINGROUP( index, group )  namespace group {\
    const short parent = index;\
    const short groupLength = ++groupCount;\
    const short groupId = index; 

#define ENDGROUP() };

#define BEGINCHANNEL( index, channel, operationType, responseType ) namespace Channel##channel { \
        const SysInfoProperty channel = static_cast<SysInfoProperty>(parent)<<GroupShiftBits | static_cast<SysInfoProperty>(index)<<ChannelShiftBits;  \
        static short count = 0; \
        const SysInfoProperty chId = channel; \
        extern const QKeyStore key##channel;
    
#define ENDCHANNEL() };
    
#define PROPERTY( property, type, range, description ) const SysInfoProperty property  = chId | ++count; \
        extern const QKeyStore key##property;

#define PROPERTYOF( parent, property,type, range, description ) const SysInfoProperty property  = chId | ++count; \
        extern const QKeyStore key##property;

#endif // __ENABLE_PROPERTIES__
#endif // __QSYSINFOMACROS_H
