#ifndef __QSYSINFOPROPERTIES_H
#define __QSYSINFOPROPERTIES_H

#include "qkeystore.h"
#include "qsysinfomacros.h"

BEGINGROUP( 1, DeviceInfo )
    BEGINCHANNEL( 1, PhoneLanguage, TypeSynchrounous, TypeOneShot )
        PROPERTY( phoneLanguage, QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 2, ProductType, TypeSynchrounous, TypeOneShot )
        PROPERTY( productType, QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 3, FirmwareVersion, TypeSynchrounous, TypeOneShot )
        PROPERTY( firmwareVersion, QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 4, IMEI, TypeSynchrounous , TypeOneShot )
        PROPERTY( imei, QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 5, DisplayOrientation, TypeSynchrounous, TypeOneShot )
        PROPERTY( displayOrientation, QVariant::String, "Landscape,Portrait", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 6, CountryName, TypeSynchrounous, TypeOneShot )
        PROPERTY( countryName, QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 7, FlipOpen,TypeAsynchrounous, TypeNotification )
        PROPERTY( flipOpen,QVariant::Bool,"","" )
    ENDCHANNEL()

    BEGINCHANNEL( 8, ClipBoard, TypeSynchrounous, TypeOneShot )
        PROPERTY( clipBoardData,QVariant::String,"", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 9, PhoneManufacturer,TypeSynchrounous,TypeOneShot )
        PROPERTY( phoneManufacturer,QVariant::String,"", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 10, PhoneModel, TypeSynchrounous, TypeOneShot )
        PROPERTY( phoneModel, QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 11, PlatformName, TypeSynchrounous, TypeOneShot )
        PROPERTY( platformName,QVariant::String,"", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 12, PhoneColorDepth, TypeSynchrounous, TypeOneShot )
        PROPERTY( phoneColorDepth,QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 13, DisplayResolution, TypeSynchrounous, TypeOneShot )
        PROPERTY( height,QVariant::Int, "", "" )
        PROPERTY( width, QVariant::Int, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 14, PublicId, TypeSynchrounous, TypeOneShot )
        PROPERTY( publicId, QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 15, WebRuntimeInfo, TypeSynchrounous, TypeOneShot )
        PROPERTY( version, QVariant::String, "", "" )
        PROPERTY( name, QVariant::String, "", "" )
        PROPERTY( vendor, QVariant::String, "", "" )
    ENDCHANNEL()
ENDGROUP()

BEGINGROUP( 2, DeviceExtensions )
    BEGINCHANNEL( 1, Charging, TypeSynchrounous, (TypeOneShot | TypeNotification) )
        PROPERTY( chargingStatus , QVariant::Bool, "true or false", "Charging(true) ,Not charging(false)" )
    ENDCHANNEL()
    BEGINCHANNEL( 2, BatteryLevel, TypeAsynchrounous, (TypeNotification | TypeOneShot))
        PROPERTY( batteryLevel , QVariant::Int, "0-100", "Percent battery charge")
    ENDCHANNEL()

    BEGINCHANNEL( 3, BluetoothOn, TypeSynchrounous, (TypeOneShot | TypeNotification) )
        PROPERTY( btOn ,  QVariant::Bool, "true or false", "BluetoothOn(true) ,BluetoothOff(false)" )
    ENDCHANNEL()

    BEGINCHANNEL( 4, DeviceInputMethod, TypeSynchrounous, TypeOneShot )
        PROPERTY( deviceInputMethod , QVariant::String, "Touch,NonTouch,Hybrid" , "" )
    ENDCHANNEL()

    BEGINCHANNEL( 5, Vibrate, TypeSynchrounous, TypeOneShot )
        PROPERTY( duration , QVariant::Int, "in ms" , "duration in milliseconds" )
        PROPERTY( stop ,     QVariant::Bool, "True/false", "Default is false. true will stop ongoing vibration intiated in current session i.e widget. Note: This method shall not stop vibration intiated by system wide events or other applications." )
        PROPERTY( intensity, QVariant::Int,  " In percentage(0 to 100) " , "Vibrate with specified intensity" )
    ENDCHANNEL()

    BEGINCHANNEL( 6, BacklightState, TypeSynchrounous, TypeOneShot )
        PROPERTY( backLightOn ,QVariant::Bool, "" , "on/off status" )
    ENDCHANNEL()

    BEGINCHANNEL( 7, KeypadLightState, TypeSynchrounous, TypeOneShot )
        PROPERTY( keypadLightOn , QVariant::Bool, "" , "on/off status" )
    ENDCHANNEL()
ENDGROUP()

BEGINGROUP( 3, SysConfig )
    BEGINCHANNEL( 1, ActiveProfile, TypeSynchrounous, TypeOneShot )
        PROPERTY( msgRingtoneVolume, QVariant::Int, "" , "Ringtone volume for the message arrival. In percentage" )
        PROPERTY( ringtoneVolume,    QVariant::Int, "" , "Ringtone volume for the call arrival. In percentage" )
        PROPERTY( vibrationActive,   QVariant::Bool,"" , "On/Off status" )
    ENDCHANNEL()

    BEGINCHANNEL( 2, processorUtilizationPercent, TypeSynchrounous, TypeOneShot )
        PROPERTY( percent, QVariant::Int, "0-100" , "" )
    ENDCHANNEL()
ENDGROUP()

BEGINGROUP( 4, NetworkInfo )
    BEGINCHANNEL( 1, Network, TypeAsynchrounous, ( TypeOneShot | TypeNotification) )
        PROPERTY( networkName, QVariant::String, "", "Network name" )
        PROPERTY( networkStatus, QVariant::String, "Available,Current,Forbidden", "Network status" )
        PROPERTY( networkMode, QVariant::String, "ModeGsm,ModeCdma,ModeWcdma,Unknown" , "" )
        PROPERTY( mobileCountryCode, QVariant::String, "" , "" )
        PROPERTY( mobileNetworkCode, QVariant::String, "" , "" )
        PROPERTY( locationStatus, QVariant::Bool, "True/false", "" )
        PROPERTY( areaCode, QVariant::Int, "" , "" )
        PROPERTY( cellID, QVariant::Int, "" , "" )
    ENDCHANNEL()

    BEGINCHANNEL( 2, HomeNetwork,  TypeAsynchrounous, ( TypeOneShot | TypeNotification) )
        PROPERTY( networkName, QVariant::String, "", "Network name" )
        PROPERTY( networkStatus, QVariant::String, "Available,Current,Forbidden", "Network status" )
        PROPERTY( networkMode, QVariant::String, "ModeGsm,ModeCdma,ModeWcdma,Unknown" , "" )
        PROPERTY( mobileCountryCode, QVariant::String, "" , "" )
        PROPERTY( mobileNetworkCode, QVariant::String, "" , "" )
        PROPERTY( locationStatus, QVariant::Bool, "True/false", "" )
        PROPERTY( areaCode, QVariant::Int, "" , "" )
        PROPERTY( cellID, QVariant::Int, "" , "" )
    ENDCHANNEL()

    BEGINCHANNEL( 3, SignalStrength, TypeAsynchrounous, ( TypeOneShot | TypeNotification) )
        PROPERTY( signalStrength, QVariant::Int, "0-100" , "Signal Strength in Percentage")
    ENDCHANNEL()

    BEGINCHANNEL( 4, IMSI,( TypeSynchrounous | TypeAsynchrounous ) , ( TypeOneShot | TypeNotification) )
        PROPERTY( imsi, QVariant::String, "" , "" )
    ENDCHANNEL()

    BEGINCHANNEL( 5, CellularNetworkStatus,  TypeSynchrounous, TypeOneShot )
        PROPERTY( cellularNetworkStatus, QVariant::String,"RegistrationUnknown,NotRegisteredNoService, NotRegisteredEmergencyOnly, NotRegisteredSearching, RegisteredBusy, RegisteredOnHomeNetwork, RegistrationDenied, RegisteredRoaming", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 6, WirelessConnSupport, TypeSynchrounous, TypeOneShot )
        PROPERTY( connectionTypes, QVariant::StringList , "Bluetooth,Irda,Wlan,Gsm,Wcdma,Cdma", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 7, ActiveDataConnections, TypeSynchrounous, TypeOneShot )
        PROPERTY( dataConnections, QVariant::List , "", "")
            PROPERTYOF( dataConnections, connectionType, QVariant::String, "" , "" )
            PROPERTYOF( dataConnections, connectionName, QVariant::String, "" , "" )
    ENDCHANNEL()
ENDGROUP()
        
BEGINGROUP( 5, Multimedia )
    BEGINCHANNEL( 1, SupportedVideoDecoders, TypeSynchrounous, TypeOneShot )
        PROPERTY( supportedVideoDecoders, QVariant::List, "", "" )
            PROPERTYOF( supportedVideoDecoders, manufacturer, QVariant::String, "", "" )
            PROPERTYOF( supportedVideoDecoders, identifier,   QVariant::String, "", "" )
            PROPERTYOF( supportedVideoDecoders, maxBitrate,   QVariant::Int, "", "" )
            PROPERTYOF( supportedVideoDecoders, isHWAccelerationEnabled, QVariant::Bool,"", "" )
            PROPERTYOF( supportedVideoDecoders, version,      QVariant::String, "", "" )
    ENDCHANNEL()

    BEGINCHANNEL( 2, DisplayWallpaper, TypeSynchrounous, TypeOneShot)
        PROPERTY( wallpaperFileurl, QVariant::String, "" , "")
    ENDCHANNEL()
ENDGROUP()

BEGINGROUP( 6, Media )
    BEGINCHANNEL( 1, ListDriveInfo, TypeSynchrounous, TypeOneShot )
        PROPERTY( driveUrl, QVariant::String, "" , "" )
        PROPERTY( driveName, QVariant::String, "" , "" )
        PROPERTY( criticalMemory, QVariant::Int, "" , "" )
        PROPERTY( totalMemory, QVariant::Int, "" , "" )
        PROPERTY( freeMemory, QVariant::Int, "" , "" )
        PROPERTY( isRemovableMedia, QVariant::Bool, "" , "" )
        PROPERTY( mediaType, QVariant::String, "MediaNotPresent,MediaUnknown,MediaFloppyDisk,MediaHardDisk,MediaCdRom,MediaRam,MediaFlash,MediaRom,MediaRemote,MediaNANDFlash,MediaRotatingMedia," , "" )
    ENDCHANNEL()

    BEGINCHANNEL( 2, listOfDrives, TypeSynchrounous, TypeOneShot )
    ENDCHANNEL()

    BEGINCHANNEL( 3, CriticalMemory,  TypeSynchrounous, TypeOneShot )
        PROPERTY( criticalMemory,  QVariant::Int, "" , "" )
    ENDCHANNEL()
ENDGROUP()

BEGINGROUP( 7, Default )
    BEGINCHANNEL( 1, defaultKey, TypeSynchrounous, TypeOneShot )
    ENDCHANNEL()
ENDGROUP()

#endif // __QSYSINFOPROPERTIES_H
