# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin

LIBS += -lWrtSecurityManager

maemo{
  maemo5 {
    SYSINFO_ARCH=$$system(dpkg-architecture)

    CONFIG(debug):SYSINFOSVC_SRC_PATH = ./platform/maemo5/
    CONFIG(debug):SYSINFOSVC_INC_PATH = ./platform/maemo5/
    CONFIG(release):SYSINFOSVC_SRC_PATH = ./platform/maemo5/
    CONFIG(release):SYSINFOSVC_INC_PATH = ./platform/maemo5/
  }
}
maemo{
  include(../cwrtservice.pri)
  maemo5 {
    HEADERS += $$SYSINFOSVC_INC_PATH/qsysinfoservice.h \
                qsysinfoserviceplugin.h \
                $$SYSINFOSVC_INC_PATH/qlistdriveinfo.h \
                $$SYSINFOSVC_INC_PATH/qcodecinterface.h \
                $$SYSINFOSVC_INC_PATH/qisysinfo.h \
                $$SYSINFOSVC_INC_PATH/qkeystore.h \  
                $$SYSINFOSVC_INC_PATH/qerrorstore.h \  
                $$SYSINFOSVC_INC_PATH/qsysinfoproperties.h \
                $$SYSINFOSVC_INC_PATH/qsysinfofactory.h \
                $$SYSINFOSVC_INC_PATH/qdeviceinfo.h \
                $$SYSINFOSVC_INC_PATH/qdeviceinfo_p.h \
                $$SYSINFOSVC_INC_PATH/qdeviceextensions_p.h \
                $$SYSINFOSVC_INC_PATH/qnetworkinfo.h \
                $$SYSINFOSVC_INC_PATH/qnetworkinfo_p.h \
                $$SYSINFOSVC_INC_PATH/qasynctask.h \ 
                $$SYSINFOSVC_INC_PATH/qasynchandler.h \
                $$SYSINFOSVC_INC_PATH/qmultimedia.h \ 
                $$SYSINFOSVC_INC_PATH/qmultimedia_p.h \ 
                $$SYSINFOSVC_INC_PATH/qmedia.h \ 
                $$SYSINFOSVC_INC_PATH/qmedia_p.h \ 
                $$SYSINFOSVC_INC_PATH/qsysconfig.h \ 
                $$SYSINFOSVC_INC_PATH/qsysconfig_p.h \ 
                $$SYSINFOSVC_INC_PATH/qnwdbusworker.h \ 
                $$SYSINFOSVC_INC_PATH/qdeviceextensions.h 
               

    SOURCES += $$SYSINFOSVC_SRC_PATH/qsysinfoservice.cpp \
               qsysinfoserviceplugin.cpp \
               $$SYSINFOSVC_SRC_PATH/qlistdriveinfo.cpp \
               $$SYSINFOSVC_SRC_PATH/qcodecinterface.cpp \
               $$SYSINFOSVC_SRC_PATH/qkeystore.cpp \
               $$SYSINFOSVC_SRC_PATH/qerrorstore.cpp \
               $$SYSINFOSVC_SRC_PATH/qsysinfofactory.cpp \
               $$SYSINFOSVC_SRC_PATH/qdeviceinfo.cpp \
               $$SYSINFOSVC_SRC_PATH/qdeviceinfo_p.cpp \
               $$SYSINFOSVC_SRC_PATH/qnetworkinfo.cpp \
               $$SYSINFOSVC_SRC_PATH/qnetworkinfo_p.cpp \
               $$SYSINFOSVC_SRC_PATH/qasynctask.cpp \ 
               $$SYSINFOSVC_SRC_PATH/qasynchandler.cpp \
               $$SYSINFOSVC_SRC_PATH/qmultimedia.cpp \ 
               $$SYSINFOSVC_SRC_PATH/qmultimedia_p.cpp \ 
               $$SYSINFOSVC_SRC_PATH/qmedia.cpp \ 
               $$SYSINFOSVC_SRC_PATH/qmedia_p.cpp \ 
               $$SYSINFOSVC_SRC_PATH/qsysconfig.cpp \ 
               $$SYSINFOSVC_SRC_PATH/qsysconfig_p.cpp \ 
               $$SYSINFOSVC_SRC_PATH/qnwdbusworker.cpp \
               $$SYSINFOSVC_SRC_PATH/qdeviceextensions.cpp \
               $$SYSINFOSVC_SRC_PATH/qdeviceextensions_p.cpp 
  }
}

TARGET = WrtApiSysInfo
include(../../cwrt.pri)
INCLUDEPATH += $$CWRT_INCLUDE
include(../../../qtsfw.pri)
maemo{
  include(../cwrtservice.pri)
  maemo5 {
    TARGET.sources = ./descriptionxml/sysinfoserviceplugin.xml

    QT += dbus
    CONFIG += mobility
    QT += network
    MOBILITY += serviceframework
    # Build against wrt-dev package
    cwrt-services {
        LIBS += -lWrtSecurityManager
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }
    CONFIG += link_pkgconfig
    PKGCONFIG += gstreamer-0.10
    PKGCONFIG += gconf-2.0
    PKGCONFIG += x11
    LIBS += -lQtBearer
    INCLUDEPATH += $$CWRT_INCLUDE \
                   /usr/include/qmsystem \
                   /usr/include/cellular-qt/CellularQt \
                   /usr/include/sensord \
                   /usr/include/contextsubscriber \
                   $$SYSINFOSVC_INC_PATH/ \
                   /usr/include/qt4 \
                   /usr/include/gstreamer-0.10 \
                   /usr/include/meegotouch \
	        	   $$PWD/../../utilities/ConnectionManager/ \
                   /usr/include/wrt/security

    TARGET.sources = ./descriptionxml/sysinfoserviceplugin.xml
    INCLUDEPATH += $$CWRT_INCLUDE \
                   /usr/include/qmsystem \
                   /usr/include/cellular-qt/CellularQt \
                   /usr/include/sensord \
                   /usr/include/contextsubscriber \
                   $$SYSINFOSVC_INC_PATH/ \
                   /usr/include/qt4 \
                   /usr/include/gstreamer-0.10 \
                   /usr/include/meegotouch \

    contains(what,qtsfw) {
        xml.path =$$CWRT_SETTINGS_DIR/api/
        xml.files = ./descriptionxml/$${TARGET}.xml
        INSTALLS += xml
    }
  }
}
