# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
CONFIG += plugin
QT += core
TARGET = WrtApiTelephony

include(../../cwrt.pri)
include(../../../qtsfw.pri)
maemo{
  include(../cwrtservice.pri)
  maemo5 {
    DEFINES += __MAEMO__
    INCLUDEPATH += $$CWRT_INCLUDE \
                   ./platform/maemo5
    HEADERS = ./telephonyserviceplugin.h
    SOURCES = ./telephonyserviceplugin.cpp

  }
}

maemo {
  maemo5 {

    HEADERS += ./platform/maemo5/telephonyservice.h
    HEADERS += ./platform/maemo5/constants.h
    SOURCES += ./platform/maemo5/telephonyservice.cpp

    CONFIG += mobility
    MOBILITY += serviceframework

    # Build against wrt-dev package
    cwrt-services {
        INCLUDEPATH -= ../../../inc
        INCLUDEPATH += /usr/include/wrt/security
        INCLUDEPATH += /usr/include/wrt/servicefw
    }

    INCLUDEPATH += $$CWRT_INCLUDE \
                   $$LOCSVC_INC_PATH
    contains(what,qtsfw) {
        xml.path =$$CWRT_SETTINGS_DIR/api/
        xml.files = ./descriptionxml/$${TARGET}.xml
        INSTALLS += xml
    }
  }
}
