# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
#
# This file is part of Qt Web Runtime.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1 as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
#

TEMPLATE = lib
TARGET = WrtSettings

#This is used to toggle behaviour of WRTSETTINGS_EXPORT
#between Q_DECL_EXPORT and Q_DECL_IMPORT
DEFINES+=BUILDING_WRTSETTINGS_LIB

HEADERS += $$PWD/inc/wrtsettings.h
SOURCES += $$PWD/src/wrtsettings.cpp

ROOT_DIR = $$PWD/../..
WRT_DIR = $$ROOT_DIR/wrt
include($$WRT_DIR/cwrt-webkit.pri)

INCLUDEPATH += $$PWD/../runtimecore/

INCLUDEPATH += $$PWD/inc
INCLUDEPATH += $$PWD/resource


CONFIG += dll link_prl create_prl

VERSION_HEADERS = $$PWD/resource/wrtversions.tmpl
version_headers.output = $$PWD/resource/${QMAKE_FILE_BASE}.h
version_headers.commands = perl $$PWD/update_version.pl -srcroot $$ROOT_DIR -template ${QMAKE_FILE_NAME} -output ${QMAKE_FILE_OUT} -default x
version_headers.input = VERSION_HEADERS
version_headers.CONFIG += target_predeps no_link
QMAKE_EXTRA_COMPILERS += version_headers
QMAKE_CLEAN += $$PWD/resource/wrtversions.h
