/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QProcess>
#include <QNetworkProxy>
#include "wrtsettings.h"
#include "wrtpage.h"
#include "wrtnetworkaccessmanager.h"
#include "wrtwidgetcontainerMaemo.h"

#include "customschemehandler.h"

namespace WRT {

    WidgetContainerMaemo::WidgetContainerMaemo()
        : WidgetContainerBase(0)
    {
        //FIXME
        //This is for temporay fixing the network. For Maemo there is currently now connection establishemt
        //since we are 'allways' online. This is going to change probaly. --Lörre
        emit connectionEstablished();

        // TODO: find a proper place for this
        WRT::Maemo::CustomSchemeHandler* cs = new WRT::Maemo::CustomSchemeHandler(this);
        // connect the actual delegate function and WebKit together
        connect(wrtPage(), SIGNAL(linkClicked(QUrl)), cs, SLOT(linkClicked(QUrl)));
        // make WebKit delegate all external links to someone else
        wrtPage()->setLinkDelegationPolicy(QWebPage::DelegateExternalLinks);

        QUrl proxyUrl(qgetenv("http_proxy"));
        if (proxyUrl.isValid() && !proxyUrl.host().isEmpty()) {
            int proxyPort = (proxyUrl.port() > 0) ? proxyUrl.port() : 8080;
            QNetworkProxy proxy(QNetworkProxy::HttpProxy, proxyUrl.host(), proxyPort);
            QNetworkProxy::setApplicationProxy(proxy);
        }
    }

    WidgetContainerMaemo::~WidgetContainerMaemo() {
    }

}
