/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
(function() {
    var jsEscapeButton = {};
    var _onclick = undefined;

    /**
     * Get escape button mode.
     */
    jsEscapeButton.__defineGetter__("mode", function() {
         return escapeButtonCPP.mode();
    });

    /**
     * Set escape button mode.
     * @param {string} mode can be "exit" or "back" case insensitive
     */
    jsEscapeButton.__defineSetter__("mode", function(m) {
         escapeButtonCPP.setMode(m);
    });

    /**
     * Gets onclick callback function.
     * @return callbck function which is executed when user click the escape button.
     */
    jsEscapeButton.__defineGetter__("onclick", function() {
        return _onclick;
    });

    /**
     * Sets onclick callback function. Callback must be type of a function, otherwise it is ignored.
     * @param callbck function which is executed when user click the escape button.
     */
    jsEscapeButton.__defineSetter__("onclick", function(callback) {
        var callbackType = typeof callback;
        if (callbackType === 'function') {
            _onclick = callback;
        }
    });

    window.nokia.device.escapeButton = jsEscapeButton;
})();

