/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
 
(function() {
    var jsToolbar = {};
    var _toolbarPrivate = new nokia.device.MenuBase();

    jsToolbar.__defineGetter__("size", function() {
        return _toolbarPrivate.getMenu().length;
    });

    jsToolbar.__defineGetter__("maxSize", function() {
        return toolbarCPP.maxSize;
    });

    jsToolbar.__defineGetter__("mode", function() {
        var nativeRet = toolbarCPP.mode();
        if (nativeRet.supported) {
            return nativeRet.mode;
        } else {
            return undefined;
        }
    });

    jsToolbar.__defineSetter__("mode", function(m) {
         toolbarCPP.setMode(m);
    });

    jsToolbar.addMenuItem = function(menuItem) {
        if (this.size < toolbarCPP.maxSize) {
            var id = menuItemFactoryCPP.nativeId(menuItem);
            if (id != -1) {
                toolbarCPP.append(id);
                _toolbarPrivate.add(menuItem);
            }
        }
    };

    jsToolbar.removeMenuItem = function(menuItem) {
        var id = menuItemFactoryCPP.nativeId(menuItem);
        if (toolbarCPP && id != -1) {
            toolbarCPP.remove(id);
            _toolbarPrivate.remove(menuItem);
        }
    };

    jsToolbar.insertMenuItemBefore = function(menuItem, index) {
        if (this.size < toolbarCPP.maxSize) {
            var id = menuItemFactoryCPP.nativeId(menuItem);
            if (id != -1) {
                toolbarCPP.insert(id, index);
                _toolbarPrivate.insert(menuItem, index);
            }
        }
    };

    jsToolbar.clear = function() {
        _toolbarPrivate.clear();
        if (toolbarCPP) {
            toolbarCPP.clear();
        }
    };

    jsToolbar.item = function(index) {
        return _toolbarPrivate.item(index);
    }

    nokia.device.toolbar = jsToolbar;
})();

