/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <qwebframe.h>

#include "wrtpage.h"
#include "wrtapiprovider.h"
#include "wrtapimanager.h"

namespace WRT {

WrtApiManager::WrtApiManager(WRT::WrtPage* wrtPage) {
    m_wrtApiProvider = new WrtApiProvider();
    m_wrtApiProvider->setContext(wrtPage);
    m_wrtPage = wrtPage;
}

WrtApiManager::~WrtApiManager() {
    delete m_wrtApiProvider;
}

void WrtApiManager::loadApis(JSApi::WidgetJavaScriptApiFlags apis) {
    m_wrtApiProvider->setApis(apis);
    m_wrtApiProvider->handleNewInstance();
    // We must not explicitly load APIs over here.
    // ServiceLoader fires pageOnReload to WrtApiProvider once javaScriptWindowObjectCleared is emitted.
}

WrtApiInterface* WrtApiManager::apiObject(JSApi::WidgetJavaScriptApiFlag api) {
    return m_wrtApiProvider->apiObject(api);

}

}
