/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef __WEBAPPREGISTRYPRIVATE_H__
#define __WEBAPPREGISTRYPRIVATE_H__

#include <QString>
#include <QVariant>
#include <QSet>

// FIXME : WebAppInfo shouldn't be included over here. Forward declaration should be enough
// Laborious to find all the places that utilized WebAppInfo.
#include "webappinfo.h"
#include "WidgetUtils.h"
#include "AttributeMap.h"
#include "PropertyNames.h"
#include "W3CXmlParser/w3celement.h"

class WebAppRegistryPrivate
{
public:
    WebAppRegistryPrivate();
    ~WebAppRegistryPrivate();

    bool updateAttribute(const QString& appID, QString& attribute, QVariant value);
    QList<WebAppInfo>* registeredHavingAttribute(QString key, QString value, bool match);
    bool retrieveRegistrationData(QList<WebAppInfo>& list, const QList<int>& idList);
};

#endif // __WEBAPPREGISTRYPRIVATE_H__
