/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This file is part of Qt Web Runtime.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#ifndef _WIDGET_MANAGER_CONSTANTS_H_
#define _WIDGET_MANAGER_CONSTANTS_H_

#include <QDir>
#include "wrtglobal.h"

#define CONTENT_TYPE_WGT "application/widget"
#define CONTENT_TYPE_UNKNOWN "Unknown"

#define EXTENSION_WGT ".wgt"

#define WIDGET_PACKAGE_FORMAT_WGT "w3c-partial-v1"
#define WIDGET_PACKAGE_FORMAT_SHARED_LIBRARY "shared-library"

const char WIDGET_PACKAGE_MAGIC_NUMBER_WGT[] = {0x50, 0x4B, 0x03, 0x04};

#ifdef CWRT_WIDGET_FILES_IN_SECURE_STORAGE
const QString WIDGET_STORAGE("WidgetsSecureStore");
#endif

const QString WIDGET_FOLDER("webapps");
const QString SHARED_LIBRARY_FOLDER("lib");

static const char DATA_FOLDER[]        = "data";
static const char SECSESSION_FILE[]         = "secsession";

#if defined(Q_OS_MAEMO5)
const QString DEFAULT_ROOT_DIRECTORY = QString("/usr/share/wrt/data/");
const QString DATA_PATH("/var/lib/qtwrt/");
#endif

// Registry location
const QString REGISTRY_DB_PATH = DEFAULT_ROOT_DIRECTORY;
const QString WIDGET_INSTALL_PATH = DEFAULT_ROOT_DIRECTORY + WIDGET_FOLDER + QDir::separator();

// Widget and Shared library location
const QString SHARED_LIBRARY_PATH = WIDGET_INSTALL_PATH + SHARED_LIBRARY_FOLDER + QDir::separator();

#if ENABLE(UNIX_CERTIFICATE_MANAGER)
const QString CERTIFICATE_PATH("/etc/certs/codesigning");
#endif


#endif // _WIDGET_MANAGER_CONSTANTS_H_
